﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using ComboExample.Models;
using Infragistics.Web.Mvc;

namespace ComboExample.Controllers
{
    public class MultiSelectionController : Controller
    {
        //
        // GET: /MultiSelection/

        [ActionName("index")]
        public ActionResult Index()
        {
            Factory factory = new Factory();
            List<ComboExample.Models.Location> locations = factory.GetLocation();
            return View("MultiSelection", locations.First<ComboExample.Models.Location>());
        }

        [ComboDataSourceAction]
        [ActionName("ComboDataLocation")]
        public ActionResult ComboDataLocation()
        {
            Factory factory = new Factory();
            List<ComboExample.Models.Location> locations = factory.GetLocation();
            return View(locations.AsEnumerable<ComboExample.Models.Location>());
        }

        [HttpPost]
        [ActionName("index")]
        public ActionResult Index(ComboExample.Models.Location l)
        {
            ComboExample.Models.Location ret = new ComboExample.Models.Location();
            Factory factory = new Factory();
            List<ComboExample.Models.Location> locations = factory.GetLocation();
            foreach (ComboExample.Models.Location ll in locations)
            {
                if (ll.LocationID == l.LocationID)
                    ret = ll;
            }
            return View("MultiSelection", ret);
        }

    }
}
